Package fr.gouv.vitam.functionaltest.cucumber.report

# Class Reports

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.report.Reports

public class Reports extends Object
Class for reports

Author:
  geled

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Reports()`
  constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Report report)`
  `LocalDateTime`
  `getEnd()`
  `long`
  `getNumberOfTestKO()`
  `long`
  `getNumberOfTestOK()`
  `List<Report>`
  `getReports()`
  `LocalDateTime`
  `getStart()`
  `List<TagInfo>`
  `getTags()`
  `long`
  `numberOfTestKOByTagName(String tagName)`
  `long`
  `numberOfTestOKByTagName(String tagName)`
  `void`
  `setEnd(LocalDateTime end)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Reports

    public Reports()
    constructor

- ## Method Details

  - ### getNumberOfTestOK

    public long getNumberOfTestOK()
    Returns:
      number of OK test

  - ### getNumberOfTestKO

    public long getNumberOfTestKO()
    Returns:
      number of KO test

  - ### numberOfTestOKByTagName

    public long numberOfTestOKByTagName(String tagName)
    Parameters:
      `tagName` - Tag Value
    Returns:
      number of OK Test By TagName

  - ### numberOfTestKOByTagName

    public long numberOfTestKOByTagName(String tagName)
    Parameters:
      `tagName` - Tag value
    Returns:
      number of KO Test By TagName

  - ### getTags

    public List<TagInfo> getTags()
    Returns:
      List of TagInfo

  - ### getReports

    public List<Report> getReports()
    Returns:
      list of report

  - ### add

    public void add(Report report)
    Parameters:
      `report` - add an individual report

  - ### getEnd

    public LocalDateTime getEnd()
    Returns:
      the end

  - ### setEnd

    public void setEnd(LocalDateTime end)
    Parameters:
      `end` - the end to set

  - ### getStart

    public LocalDateTime getStart()
    Returns:
      the start